Bug 120345 - German translation for jwhois
German translation for jwhois
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: jwhois (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 17:37 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-15 11:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
German translation for jwhois (11.00 KB, patch)
2004-04-07 17:38 EDT, Robert Scheck
no flags Details | Diff
jwhois-3.2.2-de.patch (11.62 KB, patch)
2004-07-09 11:06 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2004-04-07 17:37:13 EDT
Description of problem:
It isn't a real problem, but it looks better, if there is a German
translation for jwhois...

Version-Release number of selected component (if applicable):
jwhois-3.2.2-3

Actual results:
I translated it for my personal use, but I think it should be
integrated to the official RPMs, too.

Expected results:
Would be nice, if the translation is added :)

Additional info:
--- jwhois.spec         2004-04-07 23:41:21.000000000 +0200
+++ jwhois.spec.rsc     2004-04-07 23:41:01.000000000 +0200
@@ -4,12 +4,14 @@
 URL: http://www.gnu.org/software/jwhois/
 Source0: ftp://ftp.gnu.org/gnu/jwhois/jwhois-%{version}.tar.gz
 Patch0: jwhois-3.2.2-typos.patch
+Patch1: jwhois-3.2.2-de.patch
 License: GPL
 Group: Applications/Internet
 Summary: Internet whois/nicname client.
 Buildroot: %{_tmppath}/%{name}-%{version}-root
 Obsoletes: fwhois, whois
 Prereq: /sbin/install-info
+BuildRequires: autoconf, automake

 %description
 A whois client that accepts both traditional and finger-style queries.
@@ -17,8 +19,13 @@
 %prep
 %setup -q
 %patch0 -p1 -b .typos
+%patch1 -p1 -b .de

 %build
+aclocal
+autoheader
+autoconf
+automake
 %configure --without-cache
 make
Comment 1 Robert Scheck 2004-04-07 17:38:11 EDT
Created attachment 99210 [details]
German translation for jwhois
Comment 2 Miloslav Trmac 2004-04-08 08:27:08 EDT
The translation should probably be submited to
http://www2.iro.umontreal.ca/~gnutra/po/HTML/ so that users of other
distributions benefit from it too.
Comment 3 Robert Scheck 2004-04-10 11:58:19 EDT
I tried to submit the translation to the Translation Project, but
their processes are in my eyes very complicated and they don't want to 
add the translation file simply - so it seems, that they don't need 
my translation there?! Then even not...
Comment 4 Robert Scheck 2004-07-09 11:06:47 EDT
Created attachment 101754 [details]
jwhois-3.2.2-de.patch

Updated patch to have no error at installing, if current auto* is used...
Comment 5 Miloslav Trmač 2004-08-15 11:40:03 EDT
I don't think the Translation Project requirements are needlessly
complicated, neither for translators nor for package maintainers.

On the other hand updating translations via bugzilla adds work for
you (submitting to every distribution you want the translation in), 
package maintainer (integrating as a custom patch), other distributors
(getting the translation from Fedora packages if you don't submit it
manually for their distribution).

Long term, doing the disclaimer paperwork requires less work from
everybody, including you.

Note You need to log in before you can comment on or make changes to this bug.